#11 NPE on startup

closed-fixed
fpj
None
5
2008-05-23
2008-04-14
Anonymous
No

I got this in my logs just now:

4/13/08 4:58:28 PM PDT [ClientCnxn.java@623][13]: Trying to connect to localhost/127.0.0.1:8181
4/13/08 4:58:28 PM PDT [ClientCnxn.java@544][13]: Priming connection to java.nio.channels.SocketChannel[connected local=/127.0.0.1:60651 remote=localhost/127.0.0.1:8181]
Exception in thread "EventThread" java.lang.NullPointerException
at com.yahoo.zookeeper.ClientCnxn$EventThread.run(ClientCnxn.java:253)

It didn't seem to affect subsequent operation, but it probably shouldn't be happening (or should be caught).

Discussion

  • Patrick Hunt

    Patrick Hunt - 2008-05-05
    • assigned_to: nobody --> fpj
     
  • Patrick Hunt

    Patrick Hunt - 2008-05-05

    Logged In: YES
    user_id=12853
    Originator: NO

    Flavio can you look at this, looks like the same as 1956937.

     
  • fpj

    fpj - 2008-05-05

    Logged In: YES
    user_id=1926444
    Originator: NO

    Patrick, you're right, looks like the same as 1956937. I'll work on the patch.

    -Flavio

     
  • fpj

    fpj - 2008-05-23
    • status: open --> closed-fixed
     

Log in to post a comment.